# Uses of Class
org.apache.zookeeper.server.quorum.Learner

Packages that use Learner
Package
Description
org.apache.zookeeper.server.quorum

## Uses of Learner in org.apache.zookeeper.server.quorum

Subclasses of Learner in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`class`
`Follower`
This class has the control logic for the Follower.
`class`
`Observer`
Observers are peers that do not take part in the atomic broadcast protocol.
Methods in org.apache.zookeeper.server.quorum that return Learner
Modifier and Type
Method
Description
`Learner`
FollowerZooKeeperServer.`getLearner()`
`abstract Learner`
LearnerZooKeeperServer.`getLearner()`
Abstract method to return the learner associated with this server.
`Learner`
ObserverZooKeeperServer.`getLearner()`
Methods in org.apache.zookeeper.server.quorum with parameters of type Learner
Modifier and Type
Method
Description
`protected void`
LearnerZooKeeperServer.`unregisterJMX(Learner peer)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type Learner
Modifier
Constructor
Description
``
`LearnerSender(Learner learner)`